Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.aggregation
Class AggregationManager

    java.lang.Object
      org.eclipse.birt.data.engine.api.aggregation.AggregationManager

    public class AggregationManager

extends java.lang.Object

Field Summary
`static int` | `AGGR_MEASURE`
`static int` | `AGGR_TABULAR`
`static int` | `AGGR_XTAB`
`static java.util.Map` | `aggrMap`

Method Summary
`static void` | `destroyInstance()` Destroy shared instance of AggregationManager.
`IAggrFunction` | `getAggregation(java.lang.String name)`
`java.util.List` | `getAggregations()` get a list of IAggrFunction instances which contains all the aggregations function.
`java.util.List` | `getAggregations(int type)` get a list of IAggrFunction instances for the specified type, which must be one of the values below: AggregationManager.AGGR_TABULAR,AggregationManager.AGGR_XTAB,AggregationManager.AGGR_MEASURE.
`static AggregationManager` | `getInstance()` Return a shared instance of AggregationManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### aggrMap

    public static java.util.Map aggrMap

### AGGR_TABULAR

    public static final int AGGR_TABULAR

See Also:
  Constant Field Values

### AGGR_XTAB

    public static final int AGGR_XTAB

See Also:
  Constant Field Values

### AGGR_MEASURE

    public static final int AGGR_MEASURE

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static AggregationManager getInstance()
                                          throws org.eclipse.birt.data.engine.core.DataException

  Return a shared instance of AggregationManager.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### destroyInstance

    public static void destroyInstance()

  Destroy shared instance of AggregationManager.

### getAggregation

    public IAggrFunction getAggregation(java.lang.String name)

### getAggregations

    public java.util.List getAggregations(int type)

  get a list of IAggrFunction instances for the specified type, which must be one of the values below: AggregationManager.AGGR_TABULAR,AggregationManager.AGGR_XTAB,AggregationManager.AGGR_MEASURE.

  Parameters:
    `type` -
  Returns:

### getAggregations

    public java.util.List getAggregations()

  get a list of IAggrFunction instances which contains all the aggregations function.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.